@import "mixin.scss";

body {
  font-family: Roboto, sans-serif;
  margin: 0 auto;
  background-color: #f8f9fa;
}

a {
  text-decoration: none;

  &:hover {
    color: $color_hoveredText;
    text-decoration: underline;
  }
}

.content-wrapper {
  position: relative;
  overflow: hidden;
  width: 1200px;
  margin: 0 auto;
  background-color: white;
  box-shadow: 0 0 2px 0 rgba(0, 0, 0, 0.75);

  @media #{$size_1200} {
    width: 768px;
  }
  @media #{$size_768} {
    width: 320px;
  }
}

.header {
  grid-area: header;
  @include headerText {
    text-transform: uppercase;
  }
  margin-bottom: 25px;
}

.cover {
  background-size: cover;
  background-image: url("../img/cover_1200.jpg");
  width: 1200px;
  height: 630px;
  margin-bottom: 65px;

  @media #{$size_1200} {
    background-image: url("../img/cover_768.jpg");
    width: 768px;
    height: 360px;
    margin-bottom: 50px;
  }
  @media #{$size_768} {
    background-image: url("../img/cover_320.jpg");
    width: 320px;
    height: 150px;
    margin: 80px 0 40px;
  }
}